#include <iostream>
using namespace std;
int main(){
    int x1,y1,x2,y2,x3,y3,x4,y4;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x1==x2 || y1==y2) cout<<"2";
    else { 
        x3=x2;
        y3=y1;
        x4=x1;
        y4=y2;
        if(x3-x1==y2-y3) cout<<1;
        else cout<<0;
    }
    return 0;
}